org.apache.hadoop.yarn.client.cli

## Class SchedConfCLI

- java.lang.Object
- - org.apache.hadoop.conf.Configured
  - - org.apache.hadoop.yarn.client.cli.SchedConfCLI

- All Implemented Interfaces:
    Configurable, Tool

      @InterfaceAudience.Public
       @InterfaceStability.Unstable
      public class SchedConfCLI
      extends Configured
      implements Tool

  CLI for modifying scheduler configuration.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchedConfCLI()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(String[] args)`
    `int` | `run(String[] args)` Execute the command with the given arguments.

    - ### Methods inherited from class org.apache.hadoop.conf.Configured

      `getConf, setConf`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.hadoop.conf.Configurable

      `getConf, setConf`

- - ### Constructor Detail

    - #### SchedConfCLI

          public SchedConfCLI()

  - ### Method Detail

    - #### main

          public static void main(String[] args)
                           throws Exception

      Throws:
        `Exception`

    - #### run

          public int run(String[] args)
                  throws Exception

      Description copied from interface: `Tool`
      Execute the command with the given arguments.
      Specified by:
        `run` in interface `Tool`
      Parameters:
        `args` - command specific arguments.
      Returns:
        exit code.
      Throws:
        `Exception`

Copyright © 2022 Apache Software Foundation. All rights reserved.